
<style>
ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #333;
}
li {
    float: left;
}
li a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}
li a:hover:not(.active) {
    /**/ background-color: #111; /**/
    /**/ background-color: #666; /**/
}
.active {
    background-color: #4CAF50;
}
.btn:hover:not(.active) {
    background-color: #0568ae; /*#4CAF50; */
    cursor: pointer;
}
</style>

{% set apps = config.get('onap.apps', {}).keys() -%}
<div>
  <ul>
    {% for app in apps |sort -%}
      <li><a class="btn" id="{{ app }}Btn" href="#{{ app }}">{{ app | upper | e }}</a></li>
    {% endfor %}
      <li style="float:right"><a class="btn" id="logoutBtn">Logout</a></li>
      <li style="float:right"><a>{{ current_user.displayname() }}</a></li>
  </ul>
</div>

<script src="{{ url_for('static', filename='jquery.min.js') }}"></script>
<script>
    logout = function() {
        $.ajax({
            url: "{{ url_for('logout') }}",
            type : "GET",
            success:function (response){
                window.location.href= "{{ url_for('home') }}"
            }
        });
    };
    $("#logoutBtn").bind('click', logout);

    {% for app in apps -%}
    {% set uri = config.get('onap.apps.{}.url'.format(app)) -%}
    {% if uri -%}
    $("#{{ app }}Btn").bind('click',
		      function() {
			  $('#app-iframe').attr('src', "{{ uri }}");
		      });
    {% endif %}
    {% endfor %}
</script>
